summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build_service.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_build_service.sh')
-rwxr-xr-xbin/reproducible_build_service.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_build_service.sh b/bin/reproducible_build_service.sh
index f6245160..4a46d332 100755
--- a/bin/reproducible_build_service.sh
+++ b/bin/reproducible_build_service.sh
@@ -222,7 +222,7 @@ startup_workers() {
#
WORKER_NAME=${ARCH}_$i
WORKER_BIN=/srv/jenkins/bin/reproducible_worker.sh
- RUNNING=$(ps fax|grep -v grep|grep "$WORKER_BIN $WORKER_NAME")
+ RUNNING=$(ps fax|grep -v grep|grep "$WORKER_BIN $WORKER_NAME" 2>/dev/null||true)
if [ ! -z "$RUNNING" ] ; then
echo "$(date --utc) - '$(basename $WORKER_BIN) $WORKER_NAME' already running, thus moving on to the next."
continue